Bug 43738 - hyperlinks aren't underlined
hyperlinks aren't underlined
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
4.x
All All
: P3 (vote)
: 4.x
Assigned To: _ tboudreau
issues@platform
: UI
Depends on:
Blocks: 43882
  Show dependency treegraph
 
Reported: 2004-05-24 14:51 UTC by Lukas Hasik
Modified: 2008-12-22 21:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (6.18 KB, image/png)
2004-05-25 09:56 UTC, Lukas Hasik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2004-05-24 14:51:08 UTC
it should look like in old OW
Comment 1 _ tboudreau 2004-05-24 15:19:55 UTC
Will probably fix this after the merge - reason:

Right now there are two different sets of painting logic - ours for word wrap, and Swing's 
for non-word wrap.  I may change it to use only our painting logic (it is more optimized).  
If I do that, the fix will be in one place.  Also it is harder to get correct for Swing's painting 
logic because I don't know precisely where Swing painted something.
Comment 2 Lukas Hasik 2004-05-25 09:56:05 UTC
seems be fixed with output2.jar from 05/25

-but there is minor issue with underline when the hyperlink is selected
see screenshot
Comment 3 Lukas Hasik 2004-05-25 09:56:50 UTC
Created attachment 15111 [details]
screenshot
Comment 4 _ tboudreau 2004-05-25 17:54:38 UTC
Hmm, interesting.  Probably I need to double check that the Y coordinate is a multiple of 
the character height, and normalize if not.
Comment 5 _ tboudreau 2004-05-28 03:06:44 UTC
Glitch fixed.

Checking in src/org/netbeans/core/output2/Controller.java;
/cvs/core/output2/src/org/netbeans/core/output2/Controller.java,v  <--  Controller.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/org/netbeans/core/output2/ExtPlainView.java;
/cvs/core/output2/src/org/netbeans/core/output2/ExtPlainView.java,v  <--  
ExtPlainView.java
new revision: 1.3; previous revision: 1.2
done
Processing log script arguments...
More commits to come...
Checking in src/org/netbeans/core/output2/ui/AbstractOutputPane.java;
/cvs/core/output2/src/org/netbeans/core/output2/ui/AbstractOutputPane.java,v  <--  
AbstractOutputPane.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/org/netbeans/core/output2/ui/AbstractOutputWindow.java;
/cvs/core/output2/src/org/netbeans/core/output2/ui/AbstractOutputWindow.java,v  <--  
AbstractOutputWindow.java
new revision: 1.3; previous revision: 1.2
done
Comment 6 Lukas Hasik 2004-06-02 15:26:13 UTC
verifying - hyperlinks are underlined

underline UI problem when it is selected -> issue 44212


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo